Subject: Re: [sip]Join header syntax related to RFC2543

From: Dean Willis <[email-masked]>
Date: Thu, 23 Sep 2004 10:03:34 -0500

石川　愛 wrote:
> Hi,
> 
> I have a question associated with draft-ietf-sip-join-03.txt 
> and draft-ietf-sip-replaces-05.txt.
> 
> 
> Join document at the tail of Section 7.1  saids:
> 
> For compatibility with dialogs initiated by RFC2543 [11] 
> compliant UAs, a tag of zero matches both tags of zero and null tags
> 
> Examples:
>       Join: [email-masked];to-tag=24796;from-tag=0　
> 
> and also said at section 6.1 in Replaces document.
> 
> 
> 
> In inverse case, i.e., there is a dialog initiated by RFC3261 
> compliant UAs to RFC2543 compliant UAs, is the same? 
> In other words, there is a possibility that there is 
> no to-tag in this case. So we can as below?
> 
> For example,
>       Join: [email-masked];to-tag=0;from-tag=56789
> 
> 
> In this example, does tag of zero matches both tags of zero 
> and null tags? And also for Replaces?

That's my reading of the doc, although in retrospect the wording at the
end of joing-7.1 is particularly clumsy, and I wish somebody had noticed
sooner.

I'd like to ask the authors to clarify here, and perhaps we can get an
errata entry with that clarification.

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Rohan Mahy <[email-masked]>
Date: Thu, 23 Sep 2004 09:23:39 -0700

Hi,

The intent of the text is that either the to-tag or the from-tag 
parameter could match a null tag.  Examples are non-normative, so they 
should not limit what you can do.  The normative text intentionally 
says "a tag" and does not specify what kind of tag.

I'm assuming the following text would clarify things appropriately.

    For compatibility with ... RFC 2543 compliant UAs,
    a to-tag of zero matches both a to-tag value of
    zero and a null to-tag.  Likewise, a from-tag of zero
    matches both a to-tag value of zero and a null from-tag.

I might even be able to get this text into Replaces as well.

thanks,
-rohan